<?php
namespace Myquest\Controller;

class ImageController{
    
    public function __construct($connection)
    {
        $this->connection = $connection;
    }
    
    public function getImage($request){
        
        $params = $request->getParameters();
        
        $query = "SELECT BASE64ENCODE(FGFOTOPRATO) AS FGFOTOPRATO FROM FOTOPRATOBLOB S WHERE NRFOTOPRATOBLOB = :NRFOTOPRATOBLOB ";
        $queryParams = [
            "NRFOTOPRATOBLOB" => $params["id"]
        ];
        $statement = $this->connection->prepare($query);
        $statement->execute($queryParams);
        $image = $statement->fetchAll();
        
        if(count($image) > 0){
            $code_base64 = $image[0]["FGFOTOPRATO"];
            $code_base64 = str_replace('data:image/jpeg;base64,','',$code_base64);
            $code_binary = base64_decode($code_base64);
            $image= imagecreatefromstring($code_binary);
            header('Content-Type: image/jpeg');
            header('Cache-Control: public, max-age=31536000');
            imagejpeg($image);
            imagedestroy($image);
        } else {
            http_response_code(404);
        }
        
        die;        
    }
}